Bug 39503 - gd uses #include <gdfonts.h>
gd uses #include <gdfonts.h>
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gd (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-07 18:40 EDT by hjl
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 18:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (314 bytes, patch)
2001-05-07 18:41 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2001-05-07 18:40:55 EDT
gd uses #include <gdfonts.h>. But gdfonts.h is the part of gd. As the
result, gd won't compile unless gd is installed.
Comment 1 hjl 2001-05-07 18:41:38 EDT
Created attachment 17606 [details]
A patch
Comment 2 Phil Knirsch 2001-05-23 04:39:42 EDT
The Makefile of the gd package does a -I. during compile which then does allow
the use of #include <gdfonts.h> and automatically includes the correct (current)
gdfonts.h file.

So this is not bug and i've just checked again with all gd packages removed and
it works fine on a plain 7.1

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.